package com.inkasso.factoring.salesManagement.entity.vo;

import com.inkasso.factoring.common.entity.BaseEntity;
import com.inkasso.factoring.dict.entity.Dictionary;

/**
 * @Author Yafan Wang
 * @Date 2023/12/2 15:25
 */
public class SalesContractListVo extends BaseEntity {
    /**
     * 业务编号
     **/
    private String businessNumber;
    /**
     * 项目名称
     **/
    private String projectName;
    /**
     * 核心企业名称
     **/
    private String enterprise;
    /**
     * 主企业（供应商）名称
     **/
    private String mainEnterprise;
    /**
     * 贸易平台
     */
    private String platformName;
    /**
     * 合同编号
     */
    private String contractNumber;
    /**
     * 当前阶段
     */
    private String stage;
    /**
     * 状态
     */
    private String status;

    private String taskId;

    public String getBusinessNumber() {
        return businessNumber;
    }

    public void setBusinessNumber(String businessNumber) {
        this.businessNumber = businessNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(String enterprise) {
        this.enterprise = enterprise;
    }

    public String getMainEnterprise() {
        return mainEnterprise;
    }

    public void setMainEnterprise(String mainEnterprise) {
        this.mainEnterprise = mainEnterprise;
    }

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public String getContractNumber() {
        return contractNumber;
    }

    public void setContractNumber(String contractNumber) {
        this.contractNumber = contractNumber;
    }

    public String getStage() {
        return stage;
    }

    public void setStage(String stage) {
        this.stage = stage;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
}
